KAudioPlayer class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAudioPlayer Class Reference

This class provides one-shot-and-forget audio playing. More...

`#include <kaudioplayer.h>`

Inheritance diagram for KAudioPlayer:

[legend]
Collaboration diagram for KAudioPlayer:

[legend]
List of all members.

## Public Slots
void | play ()
| Play function as slot.
## Public Member Functions
| KAudioPlayer (const QString &filename, QObject *parent=0, const char *name=0)
| Constructor.
| ~KAudioPlayer ()
| Destructor.
## Static Public Member Functions
void | play (const QString &filename)
| Static play function.

## Detailed Description

This class provides one-shot-and-forget audio playing.

You will never know if what you wanted to play really got played.

It doesn't require linking any special libraries, as it operates over DCOP. In the current implementation, it only indirectly communicates with the aRts soundserver, using knotify as DCOP -> MCOP bridge.

Due to that fact, if you need "fast" response times, more control or feedback, use the MCOP interfaces rather than this.

An example of using this class is:

       KAudioPlayer::play("/var/share/foo.wav");

If you want to use signals & slots, you can do something like:

       KAudioPlayer player("/var/share/foo.wav");
       connect(&button, SIGNAL(clicked()), &player, SLOT(play()));

Definition at line 55 of file kaudioplayer.h.

## Constructor & Destructor Documentation

KAudioPlayer::KAudioPlayer | ( | const QString & | filename,
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Constructor. Parameters:
  filename | Absolute path to the filename of the sound file to play
  parent | A parent QObject for this KAudioPlayer
  name | An internal name for this KAudioPlayer
Definition at line 33 of file kaudioplayer.cpp. References KStdAction::name().

KAudioPlayer::~KAudioPlayer | ( |  | ) |

| Destructor. Definition at line 39 of file kaudioplayer.cpp.

## Member Function Documentation

void KAudioPlayer::play | ( | const QString & | filename | ) | `[static]`

  | Static play function. Parameters:
  filename | Absolute path to the filename of the sound file to play. if not absolute, goes off KDEDIR/share/sounds/ (preferred)
Definition at line 44 of file kaudioplayer.cpp.

void KAudioPlayer::play | ( |  | ) | `[slot]`

| Play function as slot. Plays the soundfile given to the constructor. Definition at line 50 of file kaudioplayer.cpp. References KNotifyClient::userEvent().

The documentation for this class was generated from the following files:

- kaudioplayer.h
- kaudioplayer.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:47:16 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001